# Generated from csvobj-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name csvobj

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Convert CSV files to an array of objects with friendly "column name" attributes
License: BSD
URL: http://mcarpenter.org/projects/csvobj
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
CSVobj provides a legible and maintainable mechanism to manipulate CSV files
by creating an array of objects from a file or string of CSV information. The
resulting object's attributes are defined dynamically and are based on the CSV
column name.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0-1
- Initial package
